from django.db import models
from common.base_model import BaseModels


class Cinema(BaseModels):
    """
    影院信息表
    """
    id = models.AutoField(primary_key=True)
    name = models.CharField(verbose_name='影院名称', max_length=100, null=False, help_text='影院名称')
    ip = models.CharField(verbose_name='影院ip', max_length=20, null=False, help_text='影院ip')
    zz_num = models.CharField(verbose_name='影院转账8位编码', max_length=8, null=False, help_text='影院转账8位编码')
    inner_id = models.CharField(verbose_name="影院4位编码", max_length=4, null=False, help_text='影院4位编码')
    db_user = models.CharField(verbose_name='影院数据库账号', max_length=20, null=False, help_text='影院数据库账号')
    db_pwd = models.CharField(verbose_name='影院数据库密码', max_length=50, null=False, help_text='影院数据库密码')
    sys_ver = models.CharField(verbose_name='鼎新系统版本', max_length=50, null=False, help_text='鼎新系统版本')
    client_ver = models.CharField(verbose_name='鼎新客户端版本', max_length=50, null=False, help_text='鼎新客户端版本')

    def __str__(self):
        return self.ip

    class Meta:
        verbose_name = '影院信息'
        verbose_name_plural = '影院信息'
        db_table = 'update_cinema'
