from rest_framework import viewsets, permissions
from update.models import Cinema
from update.serializers import CinemaSerializer


class CinemaViewSet(viewsets.ModelViewSet):
    # 接口文档的中文注释
    """
    create: 添加测试影院
    list: 获取测试影院列表
    retrieve: 获取某个影院的信息
    update: 更新某个影院的信息
    delete: 删除指定影院
    """
    queryset = Cinema.objects.all()
    serializer_class = CinemaSerializer
    permission_classes = (permissions.IsAuthenticated,)
